ubuntu/+source/lighttpd:ubuntu/cosmic

Last commit made on 2018-02-06
Get this branch:
git clone -b ubuntu/cosmic https://git.launchpad.net/ubuntu/+source/lighttpd
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/cosmic
Repository:
lp:ubuntu/+source/lighttpd

Recent commits

7c39b3e... by Dimitri John Ledkov on 2018-02-06

Import patches-unapplied version 1.4.45-1ubuntu3 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 269ad529eb94c0143d2e607c9f51c0b75db29583

New changelog entries:
  * No change rebuild against openssl1.1.

269ad52... by Gianfranco Costamagna on 2018-02-02

Import patches-unapplied version 1.4.45-1ubuntu2 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: d97cb3308e81d1c51353f688fb7deed9d05ed429

New changelog entries:
  * Rebuild against new libgdbm5.

d97cb33... by Bhavani Shankar on 2017-06-09

Import patches-unapplied version 1.4.45-1ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 708399323900d8d1b2daa3e348f1e17951827f6e

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/add-lighttpd.pc-configure.patch:
      + Add lighttpd.pc to ac_config_files to fix FTBFS: make[3]:
        *** No rule to make target `lighttpd.pc', needed by `all-am'.
    - debian/patches/build-dev-package.patch,
      debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Refresh and tweak build-dev-package.patch to apply sanely
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

7083993... by Michael Gilbert <email address hidden> on 2017-01-14

Import patches-unapplied version 1.4.45-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cd66120bb6b593d587b7a2292169e8a704d8f51c

New changelog entries:
  * New upstream version 1.4.45.
    - Drop kfreebsd-disable-test.patch (upstream says its fixed).
  * Fix upstream spelling errors.
  * Fix cgi-bin path on start page (closes: #763618)
  * Remove automatically generated files from the upstream tarball again.
  * Suggest the service command instead of /etc/init.d for restarting services
    (closes: #762663).

cd66120... by Krzysztof Krzyżaniak (eloy) on 2017-01-09

Import patches-unapplied version 1.4.44-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 49942c2b7d94425fb903cd9d2baf7ea975685de7

New changelog entries:
  * New upstream version 1.4.44
  * debian/copyright: make lintian happy
  * debian/control: add libssl1.0-dev as alternative for libssl-dev

49942c2... by Michael Gilbert <email address hidden> on 2016-12-19

Import patches-unapplied version 1.4.43+git20161216-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0574d0a4240b84da0421c679e4f6579f3ac5e6bd

New changelog entries:
  * New upstream snapshot (closes: #846917).
  * Remove unneeed perl dependencies.
  * Update debian/copyright to format 1.0.
  * Ship NEWS file as upstream's changelog.
  * Remove systemd dependency (closes: #846299).
  * Suggest php5-cgi instead of recommending it.
  * Update watch file to look for upstream's xz tarball.
  * Fix incorrect bug number in previous changelog entry.
  * Make a mod_rewrite conf file available (closes: #751957).
  * Point to /var/www/html from the placeholder page (closes: #808921).
  * Add new packages for LDAP, GSSAPI, MySQL, and GeoIP modules.
    - Thanks to Stefan Bühler.
  * Fix build hardening flags.
    - Thanks to Stefan Bühler.

0574d0a... by Michael Gilbert <email address hidden> on 2016-11-26

Import patches-unapplied version 1.4.43-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 1fd1a5e30dcb7894edbd117602e6e57fc8060ff1

New changelog entries:
  * New upstream release (closes: #841732).
    - Fixes CVE-2016-1000212 (closes: #832571).
    - Adds support for openssl 1.1.0 (closes: #828421).
  * Update standards version.
  * Fix lsb-base lintian error.
  * Add Glenn Strauss signing key.
  * Use upstream's systemd service file.
  * Recommend php5-cgi (closes: #774664).
  * Suggest lighttpd-doc (closes: #806523).
  * Use default-libmysqlclient-dev build dependency.

1fd1a5e... by Michael Gilbert <email address hidden> on 2016-01-03

Import patches-unapplied version 1.4.39-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 830c39fe4f4da4a432455e655b0d59c465b43ec7

New changelog entries:
  * New upstream release.

830c39f... by Michael Gilbert <email address hidden> on 2015-09-06

Import patches-unapplied version 1.4.37-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9e3bd8ca79f9771cc50d064d367d6414777f4198

New changelog entries:
  * New upstream release.
    - Log file injection issue CVE-2015-3200 fixed (closes: #787132).
  * Add a debian/clean file.
  * Drop upstreamed patches.
  * Add upstream signing key.
  * Update standards version.
  * Apply the non-maintainer upload.

9e3bd8c... by gregor herrmann on 2015-08-27

Import patches-unapplied version 1.4.35-4.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 736ace1bcd7378bf6cf5c0e9cbdc14d07387023d

New changelog entries:
  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22: test failures (CGI.pm)":
    Add build dependency on libcgi-pm-perl.
    CGI.pm was deprecated in Perl 5.19.x and removed in 5.21.x which makes the
    explicit build dependency necessary.
    (Closes: #789856)